<template>
  <div class="col_right">
    <div class="sort-fillter flex">
      <div class="sort-fillter__left flex">
        <!-- <strong>Sắp xếp theo:</strong>
        <a href="#" title>Giá thấp</a>
        <a href="#" title>Giá cao</a>
        <a href="#" title>Hàng mới</a>
        <a href="#" title>Bán chạy</a>
        <a href="#" title>Chọn lọc</a> -->
      </div>
      <div class="sort-fillter__right">
        <a
          href="javascript:;"
          data-id="view-list"
          :class="{ active: !view_grid }"
          @click="view_grid = false"
        >
          <svg class="icon-svg">
            <use xlink:href="/images/icons/icon.svg#list-ul1" />
          </svg>
        </a>
        <a
          href="javascript:;"
          data-id="view-grid"
          :class="{ active: view_grid }"
          @click="view_grid = true"
        >
          <svg class="icon-svg">
            <use xlink:href="/images/icons/icon.svg#apps1" />
          </svg>
        </a>
      </div>
    </div>
    <div v-if="isSmall" class="list-product gird gird_4col row">
      <template v-if="view_grid">
        <SmallProduct
          v-for="product in products"
          :key="product.id"
          :product="product"
        />
      </template>
      <template v-else>
        <SmallProductList
          v-for="product in products"
          :key="product.id"
          :product="product"
        />
      </template>
    </div>
    <div v-else class="list-product gird gird_4col row">
      <template v-if="view_grid">
        <ProductItemGrid
          v-for="product in products"
          :key="product.id"
          :product="product"
        />
      </template>
      <template v-else>
        <ProductItemList
          v-for="product in products"
          :key="product.id"
          :product="product"
        />
      </template>
    </div>
    <div v-if="links.last != links.first" id="pagination" class="center">
      <ul class="pagination">
        <li class="page-item">
          <a
            v-if="links.prev"
            class="page-link prev"
            href="javascript:;"
            @click.prevent="getProducts(meta.current_page - 1)"
          ></a>
        </li>
        <li v-for="page in meta.last_page" :key="page" class="page-item">
          <a
            :class="'page-link ' + (page == meta.current_page ? 'active' : '')"
            href="javascript:;"
            @click.prevent="getProducts(page)"
          >
            {{ page }}
          </a>
        </li>
        <li class="page-item">
          <a
            v-if="links.next"
            class="page-link next"
            href="javascript:;"
            @click.prevent="getProducts(meta.current_page + 1)"
          ></a>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ProductList',
  components: {
    ProductItemGrid: () => import('~/components/Products/ProductItemGrid'),
    ProductItemList: () => import('~/components/Products/ProductItemList'),
    SmallProduct: () => import('~/components/Products/SmallProduct'),
    SmallProductList: () => import('~/components/Products/SmallProductList'),
  },
  // eslint-disable-next-line vue/require-prop-types
  props: ['products', 'links', 'meta', 'getProducts'],
  data() {
    return {
      view_grid: true,
    }
  },
  computed: {
    isSmall() {
      // eslint-disable-next-line no-prototype-builtins
      return this.products[0] && this.products[0].hasOwnProperty('sku')
    },
  },
}
</script>
